Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.security
Class WFSFeatureTypeImporter.Configuration

    java.lang.Object
      org.deegree.tools.security.WFSFeatureTypeImporter.Configuration

Enclosing class:
  WFSFeatureTypeImporter

    public class WFSFeatureTypeImporter.Configuration

extends Object

`Configuration` bean to hold relevant data of an underlying datasource.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Field Summary
`(package private) String` | `secDBURL`

Constructor Summary
`WFSFeatureTypeImporter.Configuration(Map<String,String> map)`
`WFSFeatureTypeImporter.Configuration(String wfsAddress, String secDBDriver, String secDBURL, String secDBUserName, String secDBUserPw, String secAdminPw)`

Method Summary
`String` | `getSecAdminPw()`
`String` | `getSecDBDriver()`
`String` | `getSecDBURL()`
`String` | `getSecDBUserName()`
`String` | `getSecDBUserPw()`
`String` | `getWfsAddress()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### secDBURL

    String secDBURL

Constructor Detail

### WFSFeatureTypeImporter.Configuration

    public WFSFeatureTypeImporter.Configuration(String wfsAddress,
                                                String secDBDriver,
                                                String secDBURL,
                                                String secDBUserName,
                                                String secDBUserPw,
                                                String secAdminPw)

Parameters:
  `wfsAddress` -
  `secDBDriver` -
  `secDBURL` -
  `secDBUserName` -
  `secDBUserPw` -
  `secAdminPw` -

### WFSFeatureTypeImporter.Configuration

    public WFSFeatureTypeImporter.Configuration(Map<String,String> map)
                                         throws Exception

Parameters:
  `map` - map with commandline options (eg. key: "-URL", value: "http://...")
Throws:
  `Exception`

Method Detail

### getSecDBDriver

    public String getSecDBDriver()

  Returns:
    database driver class

### getSecDBURL

    public String getSecDBURL()

  Returns:
    database URL

### getWfsAddress

    public String getWfsAddress()

  Returns:
    address/URL of the WFS

### getSecAdminPw

    public String getSecAdminPw()

  Returns:
    rights management admin password

### getSecDBUserName

    public String getSecDBUserName()

  Returns:
    rights db user name

### getSecDBUserPw

    public String getSecDBUserPw()

  Returns:
    rights db user's passowrod

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org